installation - problem with storable.pm - Mozilla

This is a discussion on installation - problem with storable.pm - Mozilla ; Hello, I'm trying to install bugzilla v3.2.3 on a Vista machine. so far, i have: 1. ActiveState perl v5.10.0 2. MySQL 5.1.34 3. Apache 2.2 I installed all the required perl packages (skipped optional ones). The database connection is established, ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: installation - problem with storable.pm

  1. installation - problem with storable.pm

    Hello,

    I'm trying to install bugzilla v3.2.3 on a Vista machine.
    so far, i have:
    1. ActiveState perl v5.10.0
    2. MySQL 5.1.34
    3. Apache 2.2

    I installed all the required perl packages (skipped optional ones).
    The database connection is established, user is created, db is
    created.

    But checksetup.pl stops when creating the database content with the
    following message:
    "Storable binary image v18.86 more recent than I am (v2.7) at blib\lib
    \Storable.pm (autosplit into lib\lib\auto\Storable\thaw.al) line 415,
    at Bugzilla/DB/Schema.pm line 2427"

    any ideas what may be the cause of that?

    Thanks,
    Wojtek


  2. Re: installation - problem with storable.pm

    On Jun 2, 9:50*am, Wojtek wrote:
    > Hello,
    >
    > I'm trying to install bugzilla v3.2.3 on a Vista machine.
    > so far, i have:
    > 1. ActiveState perl v5.10.0
    > 2. MySQL 5.1.34
    > 3. Apache 2.2
    >
    > I installed all the required perl packages (skipped optional ones).
    > The database connection is established, user is created, db is
    > created.
    >
    > But checksetup.pl stops when creating the database content with the
    > following message:
    > "Storable binary image v18.86 more recent than I am (v2.7) at blib\lib
    > \Storable.pm (autosplit into lib\lib\auto\Storable\thaw.al) line 415,
    > at Bugzilla/DB/Schema.pm line 2427"
    >
    > any ideas what may be the cause of that?
    >
    > Thanks,
    > Wojtek


    Found the following via google:
    http://archives.devshed.com/forums/p...y-1896677.html

    It says to change your "use Storage" statement in Bugzilla/DB/
    Schema.pm to be "use Storage 2.7"

+ Reply to Thread